Skylib module containing functions that operate on dictionaries.

## dicts.add

load("@bazel_skylib//lib:dicts.bzl", "dicts")

dicts.add(*dictionaries, **kwargs)

Returns a new `dict` that has all the entries of the given dictionaries.

If the same key is present in more than one of the input dictionaries, the
last of them in the argument list overrides any earlier ones.

This function is designed to take zero or one arguments as well as multiple
dictionaries, so that it follows arithmetic identities and callers can avoid
special cases for their inputs: the sum of zero dictionaries is the empty
dictionary, and the sum of a single dictionary is a copy of itself.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| dictionaries |  Zero or more dictionaries to be added.   |  none |
| kwargs |  Additional dictionary passed as keyword args.   |  none |

**RETURNS**

A new `dict` that has all the entries of the given dictionaries.

## dicts.omit

load("@bazel_skylib//lib:dicts.bzl", "dicts")

dicts.omit(dictionary, keys)

Returns a new `dict` that has all the entries of `dictionary` with keys not in `keys`.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| dictionary |  A `dict`.   |  none |
| keys |  A sequence.   |  none |

**RETURNS**

A new `dict` that has all the entries of `dictionary` with keys not in `keys`.

## dicts.pick

load("@bazel_skylib//lib:dicts.bzl", "dicts")

dicts.pick(dictionary, keys)

Returns a new `dict` that has all the entries of `dictionary` with keys in `keys`.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| dictionary |  A `dict`.   |  none |
| keys |  A sequence.   |  none |

**RETURNS**

A new `dict` that has all the entries of `dictionary` with keys in `keys`.


